package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.PtServiceFile;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PtServiceFileDao {

    /**
     * 添加数据
     */
    int insert(PtServiceFile ptServiceFile);

    /**
     * 查询数据
     */
    List<PtServiceFile> selectByPrimaryKey(PtServiceFile ptServiceFile);

    /**
     * 按主键更新数据
     */
    int updateByPrimaryKey(PtServiceFile ptServiceFile);

    /**
     * 按主键删除数据-物理删除
     */
    int deleteByPrimaryKey(@Param("id") String id);

    List<PtServiceFile> selectAll(String relId);

}
